mcxarray(1)

NAME
mcxarray - Transform array data to MCL matrices

SYNOPSIS
mcxarray [options] <array data matrix> mcxarray [-o fname (output file fname)] [-co num (cutoff for output values)] [-gq num (ignore input smaller than)] [-lq num (ignore input larger than)] [-t (work with the transpose)] [-ctr num (add center (for graph-type input))] [--ctr (add center with default value (for graph-type input))] [--01 (remap output to [0,1] interval)] [--cosine (use cosine)] [--pearson (use Pearson correlation (default))] [-tear num (inflate input columns)] [-teartp num (inflate tranposed columns)] [-pi num (inflate the result)] <fname> (array data matrix)

DESCRIPTION
mcxarray reads a data file satisfying the mcl input format (refer to mcxio(5)). By default it will work with the columns as the data vectors (note that mcl matrices are presented as a listing of columns). This can be changed using the -t option.

OPTIONS
Indeed.
Output values smaller than num are removed (set to zero).
Input values smaller than num are ignored.
Input values larger than num are ignored.
Work with the transpose of the input data matrix.
Add diagonal values to the output according to a (so called) center formula.
Same as -ctr 1.0.
Rescale output values so that they are within the [0,1] interval.
Use the cosine as correlation measure.
Compute the Pearson correleation coefficient as the similarity between the data columns.
Apply (column-wise) inflation with parameter num to the input values before further processing.
Apply (column-wise) inflation with parameter num to the input values in the transposed matrix before further processing.
Apply inflation with parameter num to the output values.

AUTHOR
Stijn van Dongen.

SEE ALSO
mcl(1), mclfaq(7), and mclfamily(7) for an overview of all the documentation and the utilities in the mcl family.